apiVersion: v1
kind: Pod
metadata:
  labels:
    app: usermanagement
  name: usermanagement
spec:
  containers:  
  - image: localhost:32000/usermanagement-kcl
    imagePullPolicy: Always
    name: usermanagement-cont
    resources:       
       # Maximum amount pod can grow upto
      limits:
        memory: "500Mi" # Incomppressable / can-not be throttled
        cpu: "200m" # Compressable resource
      # Minimum amount of resources required
      requests: 
        cpu: "100m"
        memory: "100Mi"
    ports:
      - containerPort: 3000    
    livenessProbe:
      httpGet:
        path: "/_healthz"
        port: 3000      
      failureThreshold: 1      
      successThreshold: 1
      periodSeconds: 10
      timeoutSeconds: 1      
      initialDelaySeconds: 0
    startupProbe:
      httpGet:
        path: "/_startup"
        port: 3000      
      failureThreshold: 30
      periodSeconds: 3      
    envFrom:
      - configMapRef:
          name: usermanagement-cfg

  dnsPolicy: ClusterFirst
  restartPolicy: Always
status: {}
---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: usermanagement
  name: usermanagement-np
spec:
  ports:
  - name: "3000"
    port: 3000
    protocol: TCP
    targetPort: 3000
    nodePort: 32017
  selector:
    app: usermanagement
  type: NodePort
status:
  loadBalancer: {}    

---
apiVersion: v1
kind: Service
metadata:  
  labels:
    app: usermanagement
  name: usermanagement
spec:
  ports:
  - name: 3000-3001
    port: 3017
    protocol: TCP
    targetPort: 3000
  selector:
    app: usermanagement
  type: ClusterIP
status:
  loadBalancer: {} 
---
apiVersion: v1
kind: ConfigMap
metadata:  
  name: usermanagement-cfg
data:    
  NODE_ENV: "Production"
  OFL_MED_CFGPOOLINT: "10"
  OFL_MED_CONTEXT_ROOT: "/usermanagement"
  OFL_MED_DB_CONNSTR: "oracle-db.medulla.svc.cluster.local:49161/XE"
  OFL_MED_DB_MAXPOOL: "10"
  OFL_MED_DB_MINPOOL: "3"
  OFL_MED_DB_PASS: "m!sc@tal0g"
  OFL_MED_DB_POOLINC: "1"
  OFL_MED_DB_TYPE: "ORA"
  OFL_MED_DB_USER: "miscatalog"
  OFL_MED_NODE_ENV: "info"
  OFL_MED_PORT: "3000"
  client_id: "med-console-app"
  client_secret: "f10e4576-8c24-4988-a173-19548cc7f494"
  grant_type: "password"
  keycloak_login_scope: "openid"
  keycloak_login_timeout: "5000"
  keycloak_login_url: "http://oftl-keycloak:8080/auth/realms/medulla-console/protocol/openid-connect/token"       